Bug 1708825 - pioneers is not being maintained
Summary: pioneers is not being maintained
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pioneers
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Avram Lubkin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-11 01:01 UTC by Avram Lubkin
Modified: 2019-11-07 01:17 UTC (History)
1 user (show)

Fixed In Version: pioneers-15.5-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-07 01:17:11 UTC


Attachments (Terms of Use)

Description Avram Lubkin 2019-05-11 01:01:26 UTC
Description of problem:

Unmaintained. Current version two releases behind. Not updated since released 4 years ago.

Fedora version: 15.3 (2014-10-26)
Upstream version: 15.5 (2018-03-14)

There has been an open bug #1371153 since 2016-08-29.

Please respond.

If you don't want to maintain, I will happily take over.

Comment 1 Ben Cotton 2019-08-13 16:52:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 19:21:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Paul W. Frields 2019-08-30 15:38:01 UTC
I appreciate your offer and am happy you asked. I've added you to https://src.fedoraproject.org/rpms/pioneers -- let me know if you need anything else to help.

Comment 4 Avram Lubkin 2019-08-30 17:19:41 UTC
Thanks! I have a working spec for 15.5, but haven't updated the sanitize patch yet. What are the rules for sanitization?

Comment 5 Paul W. Frields 2019-09-04 16:03:15 UTC
This is an excellent question. I struggled with it for several versions years ago. But in general I try to remove any references to trademarks that might confuse people about the unofficial nature of the game. One does have to take care that for translations, msgid's are only removed and not changed, so the translation status of the package isn't affected.

Comment 6 Fedora Update System 2019-10-29 02:25:02 UTC
FEDORA-2019-6b4c85f75f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6b4c85f75f

Comment 7 Fedora Update System 2019-10-30 01:29:33 UTC
pioneers-15.5-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6b4c85f75f

Comment 8 Fedora Update System 2019-11-07 01:17:11 UTC
pioneers-15.5-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.